jueves, 13 de marzo de 2008

ATI. FGLRX 8.42.3. Aceleracion 3D con soporte AIGLX / Ubuntu 7.10 (actualizado)


Este tutorial es para instalar el nuevo driver FGLRX 4.42.3 en Ubuntu 7.10 y lograr la aceleracion 3D (direct rendering ) con soporte para AIGLX.

esta version del driver no soporta el kernel 2.6.23. Asi que si por alguna razon tienes instalada esta version del kernel no lo intentes. Para saber tu version del kernel haz en la consola:

uname -r

Bamos al grano:
Debes tener instalado todos los paquetes escenciales para la instalacion del driver. Para asegurarte de eso

sudo aptitude install module-assistant build-essential fakeroot dh-make debconf libstdc++5 linux-headers-`uname -r` nano

DESINSTALACION DE LA VERSION VIEJA
1. Desinstalar el servidor Xgl ( si esta presente )

sudo apt-get remove xserver-xgl

NOTA: tanto xserver-xgl como xorg-driver-fglrx si nunca los instalaste muy probablemente no estara presente.

2. Si tenias instalado el driver fglrx, hay que desactivarlo. Para eso lo desactivamos desde el archivo linux-restricted-modules-common :

sudo nano /etc/default/linux-restricted-modules-common

debe quedar asi:

DISABLED_MODULES="fglrx"

para guardar los cambios en el modulo deves precionar las tecla (flecha hacia arriva + la letra o )

3. Desinstalar la version que tengas del driver fglrx ( si esta presente ):

modprobe -r fglrx

sudo apt-get remove xorg-driver-fglrx

y instalar el siguiente paquete en el caso que no este:

sudo apt-get install linux-restricted-modules-*

4. Eliminar paquetes viejos del FGLRX

sudo rm -f /usr/src/fglrx-kernel*.deb

INSTALACION DE LA VERSION NUEVA

5. Descargar la nueva version del driver:

(guardelo en carpetas personales)

6. Crear paquetes .deb. para gusty

bash ./ati-driver-installer-8.42.3-x86.x86_64.run --buildpkg Ubuntu/gutsy

7. Instalar paquetes .deb

sudo dpkg -i fglrx-kernel-source_8.42.3-1_i386.deb xorg-driver-fglrx_8.42.3-1_i386.deb

sudo dpkg -i fglrx-amdcccle_8.42.3-1_i386.deb xorg-driver-fglrx-dev_8.42.3-1_i386.deb

8. Compilar el modulo del kernel
mientras ejecute estos comandos provablemente le saldra una pantalla como esta.

sudo m-a prepare

sudo m-a update

sudo m-a build fglrx

sudo m-a install fglrx

sudo depmod -a

aticonfig --initial --input=/etc/X11/xorg.conf

aticonfig --overlaytype=Xv

9. Ahora nos queda por editar el xorg.conf .

sudo nano /etc/X11/xorg.conf

En la seccion "Device" debe quedar asi:

Section "Device"
Identifier "ATI Technologies Inc RV350 AP [Radeon 9600]" #esto puede variar dependiendo de la placa q tengas
Driver "fglrx"
Busid "PCI:1:0:0"
EndSection

Ahora elimina lo siguiente ( si esta presente )

Section "Extensions"
Option "Composite" "0" # or "Disable"
EndSection

y en la ultima linea copiamos lo siguiente:

Section "Extensions"
Option "Composite" "enable "
Option "Composite" "0"

EndSection

Section "ServerFlags"
Option "AIGLX" "on"
EndSection


11. Reiniciar!

sudo reboot now

Ahora ya deberias tener instlado la nueva version del driver, con la aceleracion grafica activada. Para comprobarlo. Haz:

glxinfo | grep direct

deberia aparecer

direct rendering: Yes

fglrxinfo

deberia aparecer algo como esto:
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon 9550 / X1050 Series
OpenGL version string: 2.0.6958 Release

nota: si por algun caso nos sale direct rendering: no y en fglxinfo nos aparece otra targeta como por ejemplo mesa.org

dirijase a sistema/administracion/gestor de controladores restringidos/ y

y habilite con un tiket el controlador de targeta ati(luz verde)
reinicie el pc y listo.

para habilitar compiz con nuestro driver tecle lo siguiente:

sudo gedit /etc/xdg/compiz/compiz-manager

y en la ultima linea copie esto:

WHITELIST="fglrx"
SKIP_CHECKS=yes compiz

(este manual lo he hecho probando muchos otros manuales y dejando las mejores opciones para configurar el driver de ati por cierto esta completamente probado y funcionando AIGLX de muy buena manera , testiando un atargeta ati radeon 9550)

Si te gusta este Post dejame un comentario para saver que publicar o que mejorar
graxias por leer.

14 comentarios:

Anónimo dijo...

Primero que nada, gracias por publicar este manual, soy principiante así que espero me tengas paciencia. Seguí todos los pasos y creo que todo iba bien (creo por que no me marco ningun error que evitará que continuara con el siguiente paso), hasta que llegué al paso No.9:

"9. Ahora nos queda por editar el xorg.conf .
[Photo]
sudo nano /etc/X11/xorg.conf

En la seccion "Device" debe quedar asi:

Section "Device"
Identifier "ATI Technologies Inc RV350 AP [Radeon 9600]" #esto puede variar dependiendo de la placa q tengas
Driver "fglrx"
Busid "PCI:1:0:0"
EndSection"

Pues tu comentaste "#esto puede variar dependiendo de la placa q tengas". Mi placa es una Radeon 9550, como no estaba seguro de que poner en ese renglón, lo que hice fue poner esto:

Identifier "ATI Technologies Inc RV350 AP [Radeon 9550]"

No se si ese fue mi primer error pero bueno, continue con el manual y reinicie. En el grub me aparecieron ademas de los tres modos de iniciar ubuntu y la opcion de windows xp que tengo, otras 4 opciones más que son:

Ubuntu 7.10, kernel 2.6.22-14-386
Ubuntu 7.10, kernel 2.6.22-14-386 (recovery mode)
Ubuntu 7.10, kernel 2.6.22-14-rt
Ubuntu 7.10, kernel 2.6.22-14-rt (recovery mode)

No se porque aparecieron pero inicie con la opción que antes tenía predeterminada:

Ubuntu 7.10, kernel 2.6.22-14-generic

Al iniciar me aparecio un mensaje que decía que ubuntu funcionaba a baja resolución, así que configure mi pantalla para que funcionará con la resolución normal. Verifique la aceleración grafica con:

glxinfo | grep direct

y la respuesta fue no. Luego con:

fglrxinfo

me apareció:

display: :0.0 screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.4 (2.1 Mesa 7.0.1)

Así que habilite el controlador de la tarjeta ATI, reinicie y ¡Oh sorpresa!, me volvió a aparecer el mensaje de que ubuntu funcionaba a baja resolución, lo volví a arreglar y al verificar, "glxinfo | grep direct" y "fglrxinfo" me encuentro que aparece lo mismo que antes de habilitar el controlador. Me gustaría que me ayudarás y me dijeras que estoy haciendo mal.

Atte: Moltrev

ubuntuadiccion dijo...

mi buen amigo el error que usyed cometio cuando fue que al editar el xorg.conf en la parte seccion "Device" no avia que tocar nada, eso salia por defecto (me referia que en esa parte tenia que salir tu placa identificada pero NO¡¡ tocar hay..
lo que avia que modificar era lo que venia a continuacion. pero no desesperes desavilita tu driver privativo he elimina con synaptic los paquetes que instalastes antes (solo los que creaamos con el driver) una vez desintalados empiesa de nuevo . trata de informarme para saver como arreglarlo suerte¡¡¡

ubuntuadiccion dijo...

y te aconsejo que antes de empesar en el xorg.conf borres lo que escribiste en section "devoice" y copies esto.

Section "Device"
Identifier "ATI Technologies Inc RV350 AP [Radeon 9600]"
Driver "fglrx"
Busid "PCI:1:0:0"
EndSection"

si no funciona dame una copia de tu xorg.conf

ubuntuadiccion dijo...

el 9600 combialpor tu 9550 en section devoice y lo del grub no te preocupes eso una vez solucionado el problema del driver te doy la solucion de eso

Anónimo dijo...

Creo que ya se cual fue mi error. En el paso 8, en la parte donde dice:
"aticonfig --initial --input=/etc/X11/xorg.conf"

Al ejecutarlo me sale:

"Uninitialised file found, configuring.
Using /etc/X11/xorg.conf
Saved back-up to /etc/X11/xorg.conf.original-0
aticonfig: Writing to '/etc/X11/xorg.conf' failed. Bad file descriptor."

Luego en "aticonfig --overlaytype=Xv" sale:
"aticonfig: unrecognized option `--overlaytype=Xv'
aticonfig: parsing the command-line failed."

Así en el paso 9 en la sección "Device" aparece:

Section "Device"
Identifier "Failsafe Device"
Boardname "vesa"
Busid "PCI:1:0:0"
Driver "vesa"
Screen 0

Por lo que creo (gracias a tus comentarios) que mi error se dio en el paso 8. Espero esto te sirva para que me ayudes a corregir esos errores.
Atte: Moltrev

Anónimo dijo...

En general en todos los demás pasos aparecian mensajes de que las acciones que habia ejecutado se habian realizado con éxito, solo en algunas instrucciones no me dio respuesta la terminal, como por ej: en "sudo m-a prepare" y en "sudo depmod -a" al ejecutarlos no me mostró que realizará algo, pero creo que eso es normal. Solo lo pongo por si me hubiera haber salido algo en lugar de nada, solo devolvían el prompt.
Atte: Moltrev

Anónimo dijo...

Bueno, me decidí a reinstalar ubuntu,lo hice y antes de actualizar o instalar cualquier cosa seguí tu manual. Todo bien, ahora sí me aparecieron bien las cosas, reinicie y active el controlador ati, reinicie de nuevo y en Sistema>Preferencia>Apariencia active los Efectos visuales pero me apareció un mensaje de error:

Desktop effects cannot be enabled

o algo así, mientras buscaba una solución en Internet mi pantalla comenzo a parpadear, reinicie mi equipo pues así no podía hacer nada, volví a activar los efectos y apareció el mismo mensaje, volvió a parpadear la pantalla pero esta vez solo unas dos veces, luego los efectos estaban activados... Así como por arte de magía. No se que pasó pero por ahora todo va bien, ya instale el Advanced Desktop Effects Settings y todo bien (mi cubo ya gira). Al parecer la aceleración está activada. Solo me queda agradecerte por la ayuda. Así que gracias.
Atte: Moltrev

Anónimo dijo...

Después de mi momento de alegría pense en cerrar sesión e iniciar de nuevo para ver que pasaba con los efectos y... se desactivaron, los volví a activar y a configurar y... se desactivaron de nuevo, así que como no quiero estar activando y configurando los efectos cada vez que inicio sesión, voy a desinstalar el driver de ati y poner el que viene por defecto, así que los efectos los pondré instalando:
sudo aptitude install xserver-xgl

Por ahora no tendré aceleración gráfica pero al menos tendré los efectos de escritorio.

Adios. Atte: Moltrev

ubuntuadiccion dijo...

amigo no le aconsejo que sqque un driver y poner xserver una vez lo hice por que estava aburrido de que no me funcionara y el remedio fue peor que la enfermedad bueno si lograste tener aceleracion estamso muy serca de utilizar compiz con fglrx tal vez la solucion es activar compiz desde los programas ue se inician en cesion si aun no lo desintalas en sistemas preferencias seciones añade este comando: compiz - -replace -c emerald saludos ¡¡¡

suerte

Anónimo dijo...

Extrañamente parece que ahora sí me salió todo bien. Intente desinstalar el driver de ati pero el synaptic no me lo permitió, así que reinstalé todo ubuntu. Después active el controlador ati que venía por defecto en ubuntu y el equipo me pidió reiniciar, pero antes de hacerlo vi tu comentario y decidí probar suerte (de nuevo), instalé todo y ahora al reiniciar, todo bien, ningún mensaje de error hasta que intenté activar los efectos, pusé:

sudo gedit /etc/xdg/compiz/compiz-manager

y pegué las líneas que decías. Reinicie, instalé el Advanced Desktop Effects Settings, pero parapadeaba mi sistema, iba a probar tu ultima sugerencia pero primero reinicie de nuevo, extrañamente mis efectos aparecieron tal y como los había dejado y mi aceleración activada, todo bien. Creo que lo unico que hice difernte de la última vez fue que recien instalado ubuntu instale primero el controlador ati por defecto, antes de reiniciar (y sin desinstalar el recien instalado controlador) hice la instalación según tu manual, y parece que al fin todo bien. Esperemos que siga así.

Atte:Moltrev

Anónimo dijo...

Todo esta bien, aceleración activada, pero desgraciadamente los videos de internet se ven mal, como si una capa negra pasará por ellos de arriba hacia abajo, algo así, no es un gran inconveniente pero molesta un poco, además no puedo abrir el monitor del sistema.

Mejor espero a que mejoren las cosas los de ubuntu y por ahora prefiero no tener una buena aceleración 3D que implica algunos efectos colaterales.

Atte: Moltrev

Anónimo dijo...

Finalmente... ¡Dios existe! Ahora que seguí esta guía http://wiki.cchtml.com/index.php/Ubuntu_Gutsy_Installation_Guide
Todo me funcionó (Lo mas dificil fue interpretar correctamente todo, pues no soy muy bueno con el ingles). Vi que algunos pasos eran exactamente como en tu guía pero algunos eran un poco diferentes. Lo que importa es que ahora si voy a aprovechar mi tarjeta ATI.
Atte: Moltrev

mule dijo...

Hola!! mi nombre es Diego, te comento que tengo una toshiba a135-sp4157, viene con windows vista y se arrastra, asi que opte por instalarle ubuntu. Me funciona todo de 10, pero no me toma el driver de video. Me tira un error en el paso 6:

Generating package: Ubuntu/gutsy
Package build failed!
Package build utility output:
dpkg-buildpackage: source package is fglrx-installer
dpkg-buildpackage: source version is 8.42.3-1
dpkg-buildpackage: source changed by ATI Technologies Inc.
ttp://ati.amd.com/sup>
dpkg-buildpackage: host architecture i386
dpkg-buildpackage: source version without epoch 8.42.3-1
debian/rules build
echo "Using architecture: i386"
Using architecture: i386
if [ -f /tmp/fglrx.VF6238/debian/control.template ]; then \
cat /tmp/fglrx.VF6238/debian/control.template > /tmp/fglrx.VF6238/debian/control; \
fi
for i in preinst postinst postrm shlibs atieventsd.init ; do \
if [ -f /tmp/fglrx.VF6238/debian/driver.$i ]; then \
sed -e "s/#PKGNAME#/xorg-driver-fglrx/" \
-e "s/#DISTRO#/gutsy/" /tmp/fglrx.VF6238/debian/driver.$i > \
/tmp/fglrx.VF6238/debian/xorg-driver-fglrx.$i; \
fi; \
done
if [ -f /tmp/fglrx.VF6238/debian/10fglrx.template ]; then \
sed -e "s|#XMODDIR#|usr/lib|" -e "s|#XMODDIR32#|usr/lib32|" \
/tmp/fglrx.VF6238/debian/10fglrx.template > /tmp/fglrx.VF6238/debian/10fglrx; \
fi
if [ -f /tmp/fglrx.VF6238/debian/fglrx.default ]; then \
mv /tmp/fglrx.VF6238/debian/fglrx.default /tmp/fglrx.VF6238/debian/fglrx; \
fi
dh_testdir
make: dh_testdir: Command not found
make: *** [configure] Error 127
Removing temporary directory: fglrx-install.GM6156
diego@diego-laptop:~$


Eso es lo que me tira. La verdad que no se como hacer para que melevante los drivers, ya probe 500000 cosas y nada me funciona. La placa de video es una ati radeon xpress200m.
Desde ya muchas gracias y muy bueno el tuto!!!

ubuntuadiccion dijo...

AMIGO ESTE DRIVER ES PARA UBUNTU 7.10

SEGURO QUE TIENES EL 8.4 VERDAD?

por eso es el error

investigare si hay algun driver mas apropiado

de antemano suerte